# Action Class Reference

Inherits ObjectImpl.

Inherited by FileRenameAction, GZCompressAction, and ZipCompressAction.

List of all members.

## Detailed Description

A file system action performed as part of a rollover event.

## Public Member Functions

virtual bool | execute (log4cxx::helpers::Pool &pool) const =0
| Perform action.
void | run (log4cxx::helpers::Pool &pool)
void | close ()
bool | isComplete () const
| Tests if the action is complete.
void | reportException (const std::exception &)

## Protected Member Functions

| Action ()
| Constructor.
virtual | ~Action ()

## Constructor & Destructor Documentation

Action | ( |  | ) | `[protected]`

| Constructor.

virtual ~Action | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void close | ( |  | ) |

virtual bool execute | ( | log4cxx::helpers::Pool & | pool | ) | const`[pure virtual]`

Perform action.

Returns:
  true if successful.

Implemented in FileRenameAction, GZCompressAction, and ZipCompressAction.

bool isComplete | ( |  | ) | const

Tests if the action is complete.

Returns:
  true if action is complete.

void reportException | ( | const std::exception & |  | ) |

void run | ( | log4cxx::helpers::Pool & | pool | ) |

The documentation for this class was generated from the following file:

- action.h